#version 460

#extension GL_EXT_buffer_reference : require
#extension GL_GOOGLE_include_directive : require
#extension GL_EXT_nonuniform_qualifier : require

#include "structures.glsl"

layout (location = 0) out vec4 out_col;

void main()
{
	Vertex v = Meshes[nonuniformEXT(PC.mesh_index)].buf.vertices[gl_VertexIndex];
	gl_Position = v.pos;
	out_col = v.col;
}
